#if ! defined INCLUDE_GBUFFERS_DAMAGEDBLOCK_FSH_46E3
#define INCLUDE_GBUFFERS_DAMAGEDBLOCK_FSH_46E3

#include "/lib/settings.glsl"
#include "/core/math.glsl"
#include "/lib/utils.glsl"
#include "/core/kernels.glsl"
#include "/lib/gbuffers_basics.glsl"

in vec2 coord;

/* DRAWBUFFERS:0 */
layout(location = 0) out vec4 FragOut0;
void main() {
	vec4 color = getAlbedo(coord);
	FragOut0   = color; //gcolor
    if (FragOut0.a < 0.1) discard;
}


#endif